# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/thermal/fsl,imx91-tmu.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: NXP i.MX91 Thermal

maintainers:
  - Pengfei Li <pengfei.li_1@nxp.com>

description:
  i.MX91 features a new temperature sensor. It includes programmable
  temperature threshold comparators for both normal and privileged
  accesses and allows a programmable measurement frequency for the
  Periodic One-Shot Measurement mode. Additionally, it provides
  status registers for indicating the end of measurement and threshold
  violation events.

properties:
  compatible:
    items:
      - const: fsl,imx91-tmu

  reg:
    maxItems: 1

  clocks:
    maxItems: 1

  interrupts:
    items:
      - description: Comparator 1 irq
      - description: Comparator 2 irq
      - description: Data ready irq

  interrupt-names:
    items:
      - const: thr1
      - const: thr2
      - const: ready

  nvmem-cells:
    items:
      - description: Phandle to the trim control 1 provided by ocotp
      - description: Phandle to the trim control 2 provided by ocotp

  nvmem-cell-names:
    items:
      - const: trim1
      - const: trim2

  "#thermal-sensor-cells":
    const: 0

required:
  - compatible
  - reg
  - clocks
  - interrupts
  - interrupt-names

allOf:
  - $ref: thermal-sensor.yaml

unevaluatedProperties: false

examples:
  - |
    #include <dt-bindings/interrupt-controller/arm-gic.h>
    #include <dt-bindings/clock/imx93-clock.h>

    thermal-sensor@44482000 {
        compatible = "fsl,imx91-tmu";
        reg = <0x44482000 0x1000>;
        #thermal-sensor-cells = <0>;
        clocks = <&clk IMX93_CLK_TMC_GATE>;
        interrupt-parent = <&gic>;
        interrupts = <GIC_SPI 83 IRQ_TYPE_LEVEL_HIGH>,
                     <GIC_SPI 84 IRQ_TYPE_LEVEL_HIGH>,
                     <GIC_SPI 85 IRQ_TYPE_LEVEL_HIGH>;
        interrupt-names = "thr1", "thr2", "ready";
        nvmem-cells = <&tmu_trim1>, <&tmu_trim2>;
        nvmem-cell-names = "trim1", "trim2";
    };

...
